### Hierarchy

- ServiceProvider
  - App

### Implements

- IDisposable

## Index

### Constructors

- constructor

### Properties

- parent

### Accessors

- global

### Methods

- dispose
- get
- getValue
- newScope
- put
- resolve

## Constructors

### Protected constructor

- new ServiceProvider(parent: ServiceProvider): ServiceProvider

- - Defined in src/di/ServiceProvider.ts:15

  #### Parameters

  - ##### parent: ServiceProvider

  #### Returns ServiceProvider

## Properties

### parent

parent: ServiceProvider

- Defined in src/di/ServiceProvider.ts:17

## Accessors

### global

- get global(): ServiceProvider

- - Defined in src/di/ServiceProvider.ts:13

  #### Returns ServiceProvider

## Methods

### dispose

- dispose(): void

- Implementation of IDisposable.dispose

  - Defined in src/di/ServiceProvider.ts:85

  #### Returns void

### get

- get<T>(key: IClassOf<T>): T

- - Defined in src/di/ServiceProvider.ts:25

  #### Type parameters

  - #### T

  #### Parameters

  - ##### key: IClassOf<T>

  #### Returns T

### getValue

- getValue(sd: ServiceDescription): any

- - Defined in src/di/ServiceProvider.ts:69

  #### Parameters

  - ##### sd: ServiceDescription

  #### Returns any

### newScope

- newScope(): ServiceProvider

- - Defined in src/di/ServiceProvider.ts:81

  #### Returns ServiceProvider

### put

- put(key: any, value: any): void

- - Defined in src/di/ServiceProvider.ts:29

  #### Parameters

  - ##### key: any

  - ##### value: any

  #### Returns void

### resolve

- resolve<T>(key: T, create?: boolean, defValue?: IAnyInstanceType<T>): IAnyInstanceType<T>

- - Defined in src/di/ServiceProvider.ts:37

  #### Type parameters

  - #### T

  #### Parameters

  - ##### key: T

  - ##### Default value create: boolean = false

  - ##### Optional defValue: IAnyInstanceType<T>

  #### Returns IAnyInstanceType<T>

Generated using TypeDoc